Skip to content

A verification job's progress and results

GET
/api/v1/workspaces/{workspace}/verification/jobs/{job}
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/verification/jobs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Permission: subscribers:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

job
required
string format: uuid

OK

Media typeapplication/json
object
balanceAfter
integer format: int64
balanceBefore
integer format: int64
campaignId
string
canExport
required
boolean
canVerify
required
boolean
checked
required
integer format: int64
cost
required
number format: double
createdAt
required
string format: date-time
errorSince
string format: date-time
estimated
required
number format: double
etaSeconds
integer format: int64
finishedAt
string format: date-time
id
required
string
importId
string
invalid
required
integer format: int64
kind
required
string
Allowed values: import list segment tier selection contact
label
required
string
lastError
string
listId
string
nextTryAt
string format: date-time
origin
required
string
price
required
number format: double
reasons
required
object
key
additional properties
integer format: int64
recheckFrom
string format: date-time
regionLabel
required
string
retryUntil
string format: date-time
risky
required
integer format: int64
service
required
string
serviceName
required
string
skipped
required
integer format: int64
startedAt
string format: date-time
startedBy
required
string
status
required
string
Allowed values: queued running paused stopped cancelled finished
stopReason
required
string
Allowed values: "" no_credits service_down key_rejected cancelled
stoppedBy
string
suppressed
required
integer format: int64
tiers
required
Array<string>
total
required
integer format: int64
unknown
required
integer format: int64
valid
required
integer format: int64

Example

{
"kind": "import",
"status": "queued",
"stopReason": ""
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}